com.aliyun.svideosdk.editor

## Interface AliyunICompose.AliyunIUploadCallBack

- Enclosing interface:
    AliyunICompose

  Deprecated.

      @Deprecated
      public static interface AliyunICompose.AliyunIUploadCallBack

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSTSTokenExpired()` Deprecated. sts token过期的回调
    `void` | `onUploadFailed(java.lang.String code, java.lang.String message)` Deprecated. 上传失败
    `void` | `onUploadProgress(long uploadedSize, long totalSize)` Deprecated. 上传进度回调
    `void` | `onUploadRetry(java.lang.String code, java.lang.String message)` Deprecated. 开始上传重试的通知回调
    `void` | `onUploadRetryResume()` Deprecated. 重试成功的回调
    `void` | `onUploadSucceed(java.lang.String videoId, java.lang.String imageUrl)` Deprecated. 上传成功

- - ### Method Detail

    - #### onUploadSucceed

          void onUploadSucceed(java.lang.String videoId,
                               java.lang.String imageUrl)

      Deprecated.
      上传成功
      Parameters:
        `videoId` - 点播服务对应的VID
        `imageUrl` - 封面图片的访问地址

    - #### onSTSTokenExpired

          void onSTSTokenExpired()

      Deprecated.
      sts token过期的回调

    - #### onUploadFailed

          void onUploadFailed(java.lang.String code,
                              java.lang.String message)

      Deprecated.
      上传失败
      Parameters:
        `code` - 上传失败对应的错误码
        `message` - 上传失败的错误消息

    - #### onUploadProgress

          void onUploadProgress(long uploadedSize,
                                long totalSize)

      Deprecated.
      上传进度回调
      Parameters:
        `uploadedSize` - 已经上传的文件大小
        `totalSize` - 需要上传的文件总大小

    - #### onUploadRetry

          void onUploadRetry(java.lang.String code,
                             java.lang.String message)

      Deprecated.
      开始上传重试的通知回调
      Parameters:
        `code` - 导致该上传重试发生的错误码
        `message` - 导致该上传重试发生的错误信息

    - #### onUploadRetryResume

          void onUploadRetryResume()

      Deprecated.
      重试成功的回调